<a>
      <h2 class="post-headline">LEMON TURMERIC ENERGY BALLS</h2>
    </a>
    
   <p>Before your afternoon or evening workout, top up your tank with one of these energizing balls.</p>
<br/>
    <p><b>Why It's Good For You:</b></p>
    <br/>
    <p>During the day you run your tank dry. Most of us often feel sluggish in the afternoon and look for a pick-me-up to give us the boost before our training session. It is important to feed your body carbohydrates before your afternoon workout for a consistent energy release during training. This recipe contains medjool dates and oats for a hit of carbohydrates, fats from almonds and chia seeds to slow down the energy release, and lemon and turmeric as preventative measure against post-workout inflammation.</p>

<br/>

    <p><strong>Ingredients</strong></p><p>(use organic ingredients where possible)</p>
    <ul>
        <li>12 Medjool dates</li>
        <li>1 cup gluten-free rolled oats</li>
        <li>1/2 cup shredded coconut</li>
        <li>1/2cup almonds or cashews</li>
        <li>4 tbsp chia seeds</li>
        <li>1 lemon, juiced</li>
        <li>1 tsp lemon zest</li>
        <li>1 tsp vanilla extract</li>
        <li>1-2 tsp turmeric ground</li>
        <li>Extra 1/4 cup shredded coconut for dusting</li>
    </ul>
    <h3>Method</h3>
    <ol>
        <li>Remove the pits from dates and place in food processor.</li>
        <li>Add the other ingredients to the food processor and blend until mixture turns into a dough-like consistency.</li>
        <li>With a small spoon, scoop the mixture and roll into balls. Roll the balls in shredded coconut and place on the baking sheet. Chill until firm.</li>
        <li>Store energy balls in an airtight container in the refrigerator until serving.</li>
    </ol>
